View Issue Details

IDProjectCategoryView StatusLast Update
0003540GNUnetpeerinfo servicepublic2019-02-28 11:17
ReporterBart PolotAssigned Toschanzen 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionunable to reproduce 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0003540: Peerinfo "fails" to build in parallel
DescriptionWith "make -j 8":

make[3]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/peerinfo'
  CC peerinfo_api.lo
  CC peerinfo_api_notify.lo
  CC gnunet-service-peerinfo.o
  CCLD gnunet-service-peerinfo
mv: cannot stat '.deps/peerinfo_api.Tpo': No such file or directory
Makefile:935: recipe for target 'peerinfo_api.lo' failed
make[3]: *** [peerinfo_api.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/peerinfo'
Makefile:518: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/home/bart/tum

Succeeds with nothing left to do with the next "make":
Making all in peerinfo
make[3]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/peerinfo'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/peerinfo'
Making all in mysql
TagsNo tags attached.

Relationships

related to 0003343 feedbackBart Polot block does not build in parallel with make -j 4 

Activities

Christian Grothoff

2014-09-12 17:52

manager   ~0008579

I cannot reproduce this, and gnunet-service-peerinfo also does not link against libgnunetpeerinfo. Very strange.

Bart Polot

2014-09-12 22:20

manager   ~0008581

Last edited: 2014-09-12 22:21

View 2 revisions

[bart@voyager ~/g] (master * u+7)$ git svn info
Path: .
URL: https://gnunet.org/svn/gnunet
Repository Root: https://gnunet.org/svn
Repository UUID: 140774ce-b5e7-0310-ab8b-a85725594a96
Revision: 34289
Node Kind: directory
Schedule: normal
Last Changed Author: grothoff
Last Changed Rev: 34286
Last Changed Date: 2014-09-10 14:03:41 +0200 (Wed, 10 Sep 2014)


[bart@voyager ~/g] (master * u+7)$ rm /tmp/gnunet -r
[bart@voyager ~/g] (master * u+7)$ make clean
[...]
[bart@voyager ~/g] (master * u+7)$ make install -j 10
[...]
make[2]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/block'
  CC block.lo
  CC plugin_block_template.lo
  CC plugin_block_test.lo
  CCLD libgnunetblock.la
  CCLD libgnunet_plugin_block_template.la
  CCLD libgnunet_plugin_block_test.la
make[3]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/block'
 /usr/bin/mkdir -p '/tmp/gnunet/lib/gnunet'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunet_plugin_block_template.la libgnunet_plugin_block_test.la '/tmp/gnunet/lib/gnunet'
 /usr/bin/mkdir -p '/tmp/gnunet/lib'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunetblock.la '/tmp/gnunet/lib'
libtool: install: warning: relinking `libgnunet_plugin_block_template.la'
libtool: install: (cd /home/bart/g/src/block; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -avoid-version -module -no-undefined -o libgnunet_plugin_block_template.la -rpath /tmp/gnunet/lib/gnunet plugin_block_template.lo ../../src/block/libgnunetblock.la ../../src/util/libgnunetutil.la -lm )
libtool: install: warning: relinking `libgnunetblock.la'
libtool: install: (cd /home/bart/g/src/block; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -no-undefined -version-info 0:0:0 -o libgnunetblock.la -rpath /tmp/gnunet/lib block.lo ../../src/util/libgnunetutil.la -lm )
/usr/bin/ld: cannot find -lgnunetblock
collect2: error: ld returned 1 exit status


[bart@voyager ~/g] (master * u+7)$ make install -j 10
[...]
libtool: install: warning: relinking `libgnunet_plugin_ats_proportional.la'
libtool: install: (cd /home/bart/g/src/ats; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -avoid-version -module -no-undefined -o libgnunet_plugin_ats_proportional.la -rpath /tmp/gnunet/lib/gnunet plugin_ats_proportional.lo libgnunetats.la ../../src/statistics/libgnunetstatistics.la ../../src/util/libgnunetutil.la -lm )
libtool: install: warning: `libgnunetats.la' has not been installed in `/tmp/gnunet/lib'
libtool: install: /usr/bin/install -c .libs/gnunet-service-ats /tmp/gnunet/lib/gnunet/libexec/gnunet-service-ats
/usr/bin/ld: cannot find -lgnunetats
collect2: error: ld returned 1 exit status
libtool: install: error: relink `libgnunet_plugin_ats_proportional.la' with the above command before installing it
Makefile:1719: recipe for target 'install-pluginLTLIBRARIES' failed
make[3]: *** [install-pluginLTLIBRARIES] Error 1

[bart@voyager ~/g] (master * u+7)$ make install -j 10
[...]
libtool: install: /usr/bin/install -c .libs/libgnunetregexblock.so.1.0.0T /tmp/gnunet/lib/libgnunetregexblock.so.1.0.0
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetregexblock.so.1.0.0 libgnunetregexblock.so.1 || { rm -f libgnunetregexblock.so.1 && ln -s libgnunetregexblock.so.1.0.0 libgnunetregexblock.so.1; }; })
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetregexblock.so.1.0.0 libgnunetregexblock.so || { rm -f libgnunetregexblock.so && ln -s libgnunetregexblock.so.1.0.0 libgnunetregexblock.so; }; })
libtool: install: /usr/bin/install -c .libs/libgnunetregexblock.lai /tmp/gnunet/lib/libgnunetregexblock.la
/usr/bin/ld: cannot find -lgnunetregexblock
collect2: error: ld returned 1 exit status
libtool: install: warning: relinking `libgnunetregex.la'
libtool: install: (cd /home/bart/g/src/regex; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -no-undefined -version-info 3:1:0 -o libgnunetregex.la -rpath /tmp/gnunet/lib regex_api.lo ../../src/util/libgnunetutil.la -lm )
libtool: install: error: relink `libgnunet_plugin_block_regex.la' with the above command before installing it
Makefile:1002: recipe for target 'install-pluginLTLIBRARIES' failed
make[3]: *** [install-pluginLTLIBRARIES] Error 1
make[3]: *** Waiting for unfinished jobs....

[bart@voyager ~/g] (master * u+7)$ make install -j 10
[...]
libtool: install: warning: relinking `libgnunetnamecache.la'
libtool: install: (cd /home/bart/g/src/namecache; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -no-undefined -version-info 0:0:0 -o libgnunetnamecache.la -rpath /tmp/gnunet/lib namecache_api.lo ../../src/gnsrecord/libgnunetgnsrecord.la ../../src/util/libgnunetutil.la -lm )
libtool: install: warning: `libgnunetnamecache.la' has not been installed in `/tmp/gnunet/lib'
libtool: install: /usr/bin/install -c .libs/gnunet-service-namecache /tmp/gnunet/lib/gnunet/libexec/gnunet-service-namecache
/usr/bin/ld: cannot find -lgnunetnamecache
collect2: error: ld returned 1 exit status
libtool: install: error: relink `libgnunet_plugin_namecache_sqlite.la' with the above command before installing it
Makefile:876: recipe for target 'install-pluginLTLIBRARIES' failed
make[3]: *** [install-pluginLTLIBRARIES] Error 1

[bart@voyager ~/g] (master * u+7)$ make install -j 10
[...]
libtool: install: warning: relinking `libgnunet_plugin_block_fs.la'
libtool: install: (cd /home/bart/g/src/fs; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -avoid-version -module -no-undefined -o libgnunet_plugin_block_fs.la -rpath /tmp/gnunet/lib/gnunet plugin_block_fs.lo ../../src/block/libgnunetblock.la ../../src/fs/libgnunetfs.la ../../src/util/libgnunetutil.la -lm )
libtool: install: /usr/bin/install -c .libs/gnunet-helper-fs-publish /tmp/gnunet/lib/gnunet/libexec/gnunet-helper-fs-publish
libtool: install: warning: `../../src/fs/libgnunetfs.la' has not been installed in `/tmp/gnunet/lib'
libtool: install: /usr/bin/install -c .libs/gnunet-service-fs /tmp/gnunet/lib/gnunet/libexec/gnunet-service-fs
/usr/bin/ld: cannot find -lgnunetfs
collect2: error: ld returned 1 exit status
libtool: install: error: relink `libgnunet_plugin_block_fs.la' with the above command before installing it
Makefile:1576: recipe for target 'install-pluginLTLIBRARIES' failed
make[3]: *** [install-pluginLTLIBRARIES] Error 1

[bart@voyager ~/g] (master * u+7)$ make install -j 10
[...]
config.status: creating pkgconfig/gnunetscalarproduct.pc
config.status: creating pkgconfig/gnunetset.pc
config.status: creating pkgconfig/gnunettestbed.pc
config.status: creating pkgconfig/gnunetstatistics.pc
config.status: creating pkgconfig/gnunettesting.pc
config.status: creating pkgconfig/gnunettransport.pc
config.status: creating pkgconfig/gnunettun.pc
config.status: creating pkgconfig/gnunetutil.pc
config.status: creating pkgconfig/gnunetvpn.pc
make[2]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/pkgconfig'
make[2]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/tmp/gnunet/lib/pkgconfig'
 /usr/bin/install -c -m 644 gnunetarm.pc gnunetats.pc gnunetblock.pc gnunetconsensus.pc gnunetconversation.pc gnunetcore.pc gnunetdatacache.pc gnunetdatastore.pc gnunetdht.pc gnunetdns.pc gnunetdnsparser.pc gnunetdnsstub.pc gnunetdv.pc gnunetenv.pc gnunetfragmentation.pc gnunetfs.pc gnunetgns.pc gnunethello.pc gnunetidentity.pc gnunetcadet.pc gnunetmicrophone.pc gnunetmulticast.pc gnunetmysql.pc gnunetnamestore.pc gnunetnat.pc gnunetnse.pc gnunetpeerinfo.pc gnunetpostgres.pc gnunetpsyc.pc gnunetpsycstore.pc gnunetregex.pc gnunetrevocation.pc gnunetscalarproduct.pc gnunetset.pc gnunetspeaker.pc gnunetstatistics.pc gnunettestbed.pc gnunettesting.pc gnunettransport.pc gnunettun.pc '/tmp/gnunet/lib/pkgconfig'
 /usr/bin/install -c -m 644 gnunetutil.pc gnunetvpn.pc '/tmp/gnunet/lib/pkgconfig'
make[2]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/pkgconfig'
make[1]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/pkgconfig'
make[1]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet'
make[2]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet'
make[2]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/tmp/gnunet/share/doc/gnunet/'
 /usr/bin/install -c -m 644 COPYING README '/tmp/gnunet/share/doc/gnunet/'
 /usr/bin/mkdir -p '/tmp/gnunet/include/gnunet'
 /usr/bin/install -c -m 644 gnunet_config.h '/tmp/gnunet/include/gnunet'
make[2]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet'
make[1]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet'
[bart@voyager ~/g] (master * u+7)$



So doing a parallel 'make install' after:
- 'make clean'
- deleting the install target (I think this is the key)
trips: block, ats, regex, namecache and fs.

Christian Grothoff

2014-09-13 14:39

manager   ~0008583

Does SVN 34290 help?

Christian Grothoff

2014-09-13 16:01

manager   ~0008584

Fixed in SVN 34241. We don't need the _DEPENDENCIES crap at all, just need to make sure to never put in the $(top_builddir)/src/foo/-prefix when linking against libs from the local directory.

Bart Polot

2014-09-13 23:29

manager   ~0008586

Well... it doesn't seem to have helped on my machine:

$ make install -j 4
[...]
  make[3]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/tun'
make[2]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/tun'
Making install in block
make[2]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/block'
  CC block.lo
  CC plugin_block_template.lo
  CC plugin_block_test.lo
  CCLD libgnunetblock.la
  CCLD libgnunet_plugin_block_template.la
  CCLD libgnunet_plugin_block_test.la
make[3]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/block'
 /usr/bin/mkdir -p '/tmp/gnunet/lib'
 /usr/bin/mkdir -p '/tmp/gnunet/lib/gnunet'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunetblock.la '/tmp/gnunet/lib'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunet_plugin_block_template.la libgnunet_plugin_block_test.la '/tmp/gnunet/lib/gnunet'
libtool: install: warning: relinking `libgnunet_plugin_block_template.la'
libtool: install: (cd /home/bart/g/src/block; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -avoid-version -module -no-undefined -o libgnunet_plugin_block_template.la -rpath /tmp/gnunet/lib/gnunet plugin_block_template.lo libgnunetblock.la ../../src/util/libgnunetutil.la -lm )
libtool: install: warning: relinking `libgnunetblock.la'
libtool: install: (cd /home/bart/g/src/block; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -no-undefined -version-info 0:0:0 -o libgnunetblock.la -rpath /tmp/gnunet/lib block.lo ../../src/util/libgnunetutil.la -lm )
/usr/bin/ld: cannot find -lgnunetblock
collect2: error: ld returned 1 exit status
libtool: install: error: relink `libgnunet_plugin_block_template.la' with the above command before installing it
Makefile:549: recipe for target 'install-pluginLTLIBRARIES' failed
make[3]: *** [install-pluginLTLIBRARIES] Error 1
make[3]: *** Waiting for unfinished jobs....
libtool: install: /usr/bin/install -c .libs/libgnunetblock.so.0.0.0T /tmp/gnunet/lib/libgnunetblock.so.0.0.0
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetblock.so.0.0.0 libgnunetblock.so.0 || { rm -f libgnunetblock.so.0 && ln -s libgnunetblock.so.0.0.0 libgnunetblock.so.0; }; })
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetblock.so.0.0.0 libgnunetblock.so || { rm -f libgnunetblock.so && ln -s libgnunetblock.so.0.0.0 libgnunetblock.so; }; })
libtool: install: /usr/bin/install -c .libs/libgnunetblock.lai /tmp/gnunet/lib/libgnunetblock.la
libtool: finish: PATH="/home/bart/bin:/tmp/gnunet/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/vendor_perl:/usr/bin/core_perl:/sbin" ldconfig -n /tmp/gnunet/lib
$ make install -j 4
[...]
----------------------------------------------------------------------
make[3]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/tun'
make[2]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/tun'
Making install in block
make[2]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/block'
make[3]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/block'
 /usr/bin/mkdir -p '/tmp/gnunet/lib'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunetblock.la '/tmp/gnunet/lib'
 /usr/bin/mkdir -p '/tmp/gnunet/lib/gnunet'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunet_plugin_block_template.la libgnunet_plugin_block_test.la '/tmp/gnunet/lib/gnunet'
libtool: install: warning: relinking `libgnunetblock.la'
libtool: install: (cd /home/bart/g/src/block; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -no-undefined -version-info 0:0:0 -o libgnunetblock.la -rpath /tmp/gnunet/lib block.lo ../../src/util/libgnunetutil.la -lm )
libtool: install: warning: relinking `libgnunet_plugin_block_template.la'
libtool: install: (cd /home/bart/g/src/block; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -avoid-version -module -no-undefined -o libgnunet_plugin_block_template.la -rpath /tmp/gnunet/lib/gnunet plugin_block_template.lo libgnunetblock.la ../../src/util/libgnunetutil.la -lm )
libtool: install: /usr/bin/install -c .libs/libgnunetblock.so.0.0.0T /tmp/gnunet/lib/libgnunetblock.so.0.0.0
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetblock.so.0.0.0 libgnunetblock.so.0 || { rm -f libgnunetblock.so.0 && ln -s libgnunetblock.so.0.0.0 libgnunetblock.so.0; }; })
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetblock.so.0.0.0 libgnunetblock.so || { rm -f libgnunetblock.so && ln -s libgnunetblock.so.0.0.0 libgnunetblock.so; }; })
libtool: install: /usr/bin/install -c .libs/libgnunetblock.lai /tmp/gnunet/lib/libgnunetblock.la
libtool: install: /usr/bin/install -c .libs/libgnunet_plugin_block_template.soT /tmp/gnunet/lib/gnunet/libgnunet_plugin_block_template.so
libtool: install: /usr/bin/install -c .libs/libgnunet_plugin_block_template.lai /tmp/gnunet/lib/gnunet/libgnunet_plugin_block_template.la
libtool: install: warning: relinking `libgnunet_plugin_block_test.la'
libtool: install: (cd /home/bart/g/src/block; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -avoid-version -module -no-undefined -o libgnunet_plugin_block_test.la -rpath /tmp/gnunet/lib/gnunet plugin_block_test.lo libgnunetblock.la ../../src/util/libgnunetutil.la -lm )
libtool: finish: PATH="/home/bart/bin:/tmp/gnunet/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/vendor_perl:/usr/bin/core_perl:/sbin" ldconfig -n /tmp/gnunet/lib
----------------------------------------------------------------------
[...]
make[3]: Entering directory '/home/bart/tum/gnunet-git-svn/gnunet/src/ats'
 /usr/bin/mkdir -p '/tmp/gnunet/lib'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunetats.la '/tmp/gnunet/lib'
 /usr/bin/mkdir -p '/tmp/gnunet/lib/gnunet'
 /usr/bin/mkdir -p '/tmp/gnunet/lib/gnunet/libexec/'
 /bin/sh ../../libtool --mode=install /usr/bin/install -c libgnunet_plugin_ats_proportional.la libgnunet_plugin_ats_ril.la '/tmp/gnunet/lib/gnunet'
 /usr/bin/mkdir -p '/tmp/gnunet/share/gnunet/config.d/'
  /bin/sh ../../libtool --mode=install /usr/bin/install -c gnunet-service-ats '/tmp/gnunet/lib/gnunet/libexec/'
 /usr/bin/install -c -m 644 ats.conf '/tmp/gnunet/share/gnunet/config.d/'
libtool: install: warning: relinking `libgnunetats.la'
libtool: install: (cd /home/bart/g/src/ats; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -no-undefined -version-info 4:0:0 -o libgnunetats.la -rpath /tmp/gnunet/lib ats_api_scheduling.lo ats_api_performance.lo ../../src/util/libgnunetutil.la -lm )
libtool: install: warning: relinking `libgnunet_plugin_ats_proportional.la'
libtool: install: (cd /home/bart/g/src/ats; /bin/sh /home/bart/g/libtool --silent --tag CC --mode=relink gcc -fno-strict-aliasing -Wall -O0 -g -Wall -export-dynamic -avoid-version -module -no-undefined -o libgnunet_plugin_ats_proportional.la -rpath /tmp/gnunet/lib/gnunet plugin_ats_proportional.lo libgnunetats.la ../../src/statistics/libgnunetstatistics.la ../../src/util/libgnunetutil.la -lm )
libtool: install: warning: `libgnunetats.la' has not been installed in `/tmp/gnunet/lib'
libtool: install: /usr/bin/install -c .libs/gnunet-service-ats /tmp/gnunet/lib/gnunet/libexec/gnunet-service-ats
libtool: install: /usr/bin/install -c .libs/libgnunetats.so.4.0.0T /tmp/gnunet/lib/libgnunetats.so.4.0.0
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetats.so.4.0.0 libgnunetats.so.4 || { rm -f libgnunetats.so.4 && ln -s libgnunetats.so.4.0.0 libgnunetats.so.4; }; })
libtool: install: (cd /tmp/gnunet/lib && { ln -s -f libgnunetats.so.4.0.0 libgnunetats.so || { rm -f libgnunetats.so && ln -s libgnunetats.so.4.0.0 libgnunetats.so; }; })
libtool: install: /usr/bin/install -c .libs/libgnunetats.lai /tmp/gnunet/lib/libgnunetats.la
/usr/bin/ld: cannot find -lgnunetats
collect2: error: ld returned 1 exit status
libtool: install: error: relink `libgnunet_plugin_ats_proportional.la' with the above command before installing it
Makefile:1699: recipe for target 'install-pluginLTLIBRARIES' failed
make[3]: *** [install-pluginLTLIBRARIES] Error 1
make[3]: *** Waiting for unfinished jobs....
libtool: finish: PATH="/home/bart/bin:/tmp/gnunet/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/vendor_perl:/usr/bin/core_perl:/sbin" ldconfig -n /tmp/gnunet/lib
----------------------------------------------------------------------
Libraries have been installed in:
   /tmp/gnunet/lib

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the `LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the `LD_RUN_PATH' environment variable
     during linking
   - use the `-Wl,-rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to `/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
make[3]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/ats'
Makefile:2535: recipe for target 'install-am' failed
make[2]: *** [install-am] Error 2
make[2]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src/ats'
Makefile:518: recipe for target 'install-recursive' failed
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory '/home/bart/tum/gnunet-git-svn/gnunet/src'
Makefile:569: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1
$ git svn info
Path: .
URL: https://gnunet.org/svn/gnunet
Repository Root: https://gnunet.org/svn
Repository UUID: 140774ce-b5e7-0310-ab8b-a85725594a96
Revision: 34291
Node Kind: directory
Schedule: normal
Last Changed Author: grothoff
Last Changed Rev: 34291
Last Changed Date: 2014-09-13 15:54:57 +0200 (Sat, 13 Sep 2014)

In successive runs also fail: regex, namecache, peerstore and fs, on the seventh run it builds successfully.

Bart Polot

2014-09-14 00:11

manager   ~0008588

automake (GNU automake) 1.14.1
autoconf (GNU Autoconf) 2.69
GNU Make 4.0
gcc (GCC) 4.9.1
m4 (GNU M4) 1.4.17

schanzen

2018-06-23 15:10

manager   ~0013051

Cannot reproduce as well.

Issue History

Date Modified Username Field Change
2014-09-05 16:05 Bart Polot New Issue
2014-09-12 17:52 Christian Grothoff Note Added: 0008579
2014-09-12 17:53 Christian Grothoff Status new => feedback
2014-09-12 17:53 Christian Grothoff Target Version 0.11.0pre66 =>
2014-09-12 22:20 Bart Polot Note Added: 0008581
2014-09-12 22:20 Bart Polot Status feedback => new
2014-09-12 22:21 Bart Polot Note Edited: 0008581 View Revisions
2014-09-13 14:39 Christian Grothoff Note Added: 0008583
2014-09-13 16:01 Christian Grothoff Note Added: 0008584
2014-09-13 16:01 Christian Grothoff Status new => resolved
2014-09-13 16:01 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-13 16:01 Christian Grothoff Resolution open => fixed
2014-09-13 16:01 Christian Grothoff Assigned To => Christian Grothoff
2014-09-13 16:01 Christian Grothoff Target Version => 0.11.0pre66
2014-09-13 23:29 Bart Polot Note Added: 0008586
2014-09-13 23:29 Bart Polot Status resolved => new
2014-09-14 00:11 Bart Polot Note Added: 0008588
2014-09-30 10:35 Christian Grothoff Assigned To Christian Grothoff =>
2014-09-30 10:35 Christian Grothoff Status new => acknowledged
2014-09-30 10:35 Christian Grothoff Fixed in Version 0.11.0pre66 =>
2014-09-30 10:35 Christian Grothoff Target Version 0.11.0pre66 =>
2017-02-26 01:59 Christian Grothoff Relationship added related to 0003343
2018-06-23 15:10 schanzen Note Added: 0013051
2018-06-23 15:10 schanzen Assigned To => schanzen
2018-06-23 15:10 schanzen Status acknowledged => resolved
2018-06-23 15:10 schanzen Resolution fixed => unable to reproduce
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-20 12:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed